GNET_STATS_COPY_BA(9)

NAME
gnet_stats_copy_basic - copy basic statistics into statistic TLV

SYNOPSIS

int gnet_stats_copy_basic (struct gnet_dump * d, struct gnet_stats_basic * b);

ARGUMENTS

d   dumping handle

b   basic statistics

DESCRIPTION

Appends the basic statistics to the top level TLV created by gnet_stats_start_copy.

Returns 0 on success or -1 with the statistic lock released if the room in the socket buffer was not sufficient.